zenilib: zenilib/jni/external/freetype2/src/sfnt/ttload.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
ttload.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_INTERNAL_TRUETYPE_TYPES_H>`

Go to the source code of this file.

## Functions

| tt_face_free_name (TT_Face face)
| tt_face_goto_table (TT_Face face, FT_ULong tag, FT_Stream stream, FT_ULong *length)
| tt_face_load_any (TT_Face face, FT_ULong tag, FT_Long offset, FT_Byte *buffer, FT_ULong *length)
| tt_face_load_cmap (TT_Face face, FT_Stream stream)
| tt_face_load_font_dir (TT_Face face, FT_Stream stream)
| tt_face_load_gasp (TT_Face face, FT_Stream stream)
| tt_face_load_head (TT_Face face, FT_Stream stream)
| tt_face_load_maxp (TT_Face face, FT_Stream stream)
| tt_face_load_name (TT_Face face, FT_Stream stream)
| tt_face_load_os2 (TT_Face face, FT_Stream stream)
| tt_face_load_pclt (TT_Face face, FT_Stream stream)
| tt_face_load_post (TT_Face face, FT_Stream stream)
FT_BEGIN_HEADER | tt_face_lookup_table (TT_Face face, FT_ULong tag)

## Function Documentation

tt_face_free_name | ( | TT_Face | face | ) |

Definition at line 868 of file ttload.c.

References TT_NameTableRec_::format, FT_FREE, TT_NameTableRec_::names, TT_NameTableRec_::numNameRecords, TT_NameTableRec_::storageOffset, TT_NameEntryRec_::string, and TT_NameEntryRec_::stringLength.

tt_face_goto_table | ( | TT_Face | face,
|  | FT_ULong | tag,
|  | FT_Stream | stream,
|  | FT_ULong * | length
| ) |  |

Definition at line 127 of file ttload.c.

References error, FT_STREAM_SEEK, TT_TableRec_::Length, TT_TableRec_::Offset, and tt_face_lookup_table().

tt_face_load_any | ( | TT_Face | face,
|  | FT_ULong | tag,
|  | FT_Long | offset,
|  | FT_Byte * | buffer,
|  | FT_ULong * | length
| ) |  |

Definition at line 465 of file ttload.c.

References error, FT_STREAM_READ_AT, TT_TableRec_::Length, TT_TableRec_::Offset, and tt_face_lookup_table().

tt_face_load_cmap | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 913 of file ttload.c.

References error, FT_FRAME_EXTRACT, and TTAG_cmap.

tt_face_load_font_dir | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 320 of file ttload.c.

References check_table_dir(), TT_TableRec_::CheckSum, SFNT_HeaderRec_::entry_selector, error, SFNT_HeaderRec_::format_tag, FT_FRAME_END, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_FRAME_START, FT_FRAME_USHORT, FT_GET_LONG, FT_GET_TAG4, FT_GET_ULONG, FT_QNEW_ARRAY, FT_READ_ULONG, FT_STREAM_POS, FT_STREAM_READ_FIELDS, FT_STREAM_SEEK, FT_TRACE2, TT_TableRec_::Length, SFNT_HeaderRec_::num_tables, SFNT_HeaderRec_::offset, TT_TableRec_::Offset, SFNT_HeaderRec_::range_shift, SFNT_HeaderRec_::search_range, and TT_TableRec_::Tag.

tt_face_load_gasp | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 1209 of file ttload.c.

References error, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_GET_USHORT, FT_QNEW_ARRAY, FT_TRACE3, TT_GaspRangeRec_::gaspFlag, j, TT_GaspRangeRec_::maxPPEM, NULL, and TTAG_gasp.

tt_face_load_head | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 585 of file ttload.c.

References tt_face_load_generic_header(), and TTAG_head.

tt_face_load_maxp | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 621 of file ttload.c.

References error, FT_FRAME_END, FT_FRAME_LONG, FT_FRAME_START, FT_FRAME_USHORT, FT_STREAM_READ_FIELDS, FT_TRACE0, FT_TRACE3, TT_MaxProfile_::maxComponentDepth, TT_MaxProfile_::maxComponentElements, TT_MaxProfile_::maxCompositeContours, TT_MaxProfile_::maxCompositePoints, TT_MaxProfile_::maxContours, TT_MaxProfile_::maxFunctionDefs, TT_MaxProfile_::maxInstructionDefs, TT_MaxProfile_::maxPoints, TT_MaxProfile_::maxSizeOfInstructions, TT_MaxProfile_::maxStackElements, TT_MaxProfile_::maxStorage, TT_MaxProfile_::maxTwilightPoints, TT_MaxProfile_::maxZones, TT_MaxProfile_::numGlyphs, TTAG_maxp, TT_MaxProfile_::version, and version.

tt_face_load_name | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 738 of file ttload.c.

References error, FT_ERROR, FT_FRAME_END, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_FRAME_START, FT_FRAME_USHORT, FT_NEW_ARRAY, FT_STREAM_POS, FT_STREAM_READ_FIELDS, TT_NameTableRec_::names, TT_NameTableRec_::numNameRecords, TT_NameTableRec_::storageOffset, TT_NameTableRec_::stream, TT_NameEntryRec_::stringLength, TT_NameEntryRec_::stringOffset, and TTAG_name.

tt_face_load_os2 | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 949 of file ttload.c.

References error, TT_OS2_::fsSelection, FT_FRAME_BYTE, FT_FRAME_END, FT_FRAME_SHORT, FT_FRAME_START, FT_FRAME_ULONG, FT_FRAME_USHORT, FT_STREAM_READ_FIELDS, FT_TRACE3, TT_OS2_::sCapHeight, TT_OS2_::sTypoAscender, TT_OS2_::sTypoDescender, TT_OS2_::sxHeight, TTAG_OS2, TT_OS2_::ulCodePageRange1, TT_OS2_::ulCodePageRange2, TT_OS2_::usBreakChar, TT_OS2_::usDefaultChar, TT_OS2_::usMaxContext, TT_OS2_::usWinAscent, TT_OS2_::usWinDescent, TT_OS2_::version, and version.

tt_face_load_pclt | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 1149 of file ttload.c.

References error, FT_FRAME_BYTE, FT_FRAME_BYTES, FT_FRAME_CHAR, FT_FRAME_END, FT_FRAME_START, FT_FRAME_ULONG, FT_FRAME_USHORT, FT_STREAM_READ_FIELDS, and TTAG_PCLT.

tt_face_load_post | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 1089 of file ttload.c.

References error, TT_Postscript_::FormatType, FT_FRAME_END, FT_FRAME_SHORT, FT_FRAME_START, FT_FRAME_ULONG, FT_STREAM_READ_FIELDS, FT_TRACE3, TT_Postscript_::isFixedPitch, and TTAG_post.

FT_BEGIN_HEADER tt_face_lookup_table | ( | TT_Face | face,
|  | FT_ULong | tag
| ) |  |

Definition at line 57 of file ttload.c.

References FALSE, FT_Bool, FT_TRACE4, TT_TableRec_::Length, NULL, TT_TableRec_::Tag, and TRUE.

Referenced by sfnt_load_face(), tt_face_goto_table(), and tt_face_load_any().